import 'package:flutter/material.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';

class PageWrapper extends StatelessWidget {
  final String title;
  final Widget content;

  const PageWrapper({
    Key? key,
    required this.title,
    required this.content,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Center(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: [
            Container(
              padding: EdgeInsets.symmetric(
                horizontal: SeniorSpacing.normal,
                vertical: SeniorSpacing.normal,
              ),
              color: SeniorColors.secondaryColor800,
              child: Center(
                child: Text(
                  title,
                  style: SeniorTypography.title(
                    color: SeniorColors.pureWhite,
                  ),
                ),
              ),
            ),
            Flexible(
              child: content,
            ),
          ],
        ),
      ),
    );
  }
}
