import 'package:flutter/material.dart';
import 'package:senior_design_system/senior_design_system.dart';

class ColorfulHeaderStructureExample extends StatefulWidget {
  const ColorfulHeaderStructureExample({
    Key? key,
  }) : super(key: key);

  @override
  _ColorfulHeaderStructureExampleState createState() =>
      _ColorfulHeaderStructureExampleState();
}

class _ColorfulHeaderStructureExampleState
    extends State<ColorfulHeaderStructureExample> {
  
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: DefaultTabController(
        length: 2,
        child: SeniorColorfulHeaderStructure(
          hideLeading: true,
          hasTopPadding: false,
          title: Text('Meu Appbar'),
          actions: [
            IconButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (c) => SecondPage(),
                    ),
                  );
                },
                icon: Icon(Icons.search))
          ],
          body: Container(
            child: Center(
              child: ListView.builder(
                itemCount: 400,
                itemBuilder: (context, index) {
                  return Container(
                    height: 30,
                    child: Center(
                      child: Text(
                        index.toString(),
                      ),
                    ),
                  );
                },
              ),
            ),
          ),
        ),
      ),
    );
  }
}

class SecondPage extends StatefulWidget {
  const SecondPage({Key? key}) : super(key: key);

  @override
  _SecondPageState createState() => _SecondPageState();
}

class _SecondPageState extends State<SecondPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: DefaultTabController(
        length: 2,
        child: SeniorColorfulHeaderStructure(
          onTapBack: () {
            Navigator.pop(context);
          },
          hasTopPadding: false,
          title: Text('Meu Appbar'),
          body: Container(
            child: Center(
              child: ListView.builder(
                itemCount: 400,
                itemBuilder: (context, index) {
                  return Container(
                    height: 30,
                    child: Center(
                      child: Text(
                        index.toString(),
                      ),
                    ),
                  );
                },
              ),
            ),
          ),
        ),
      ),
    );
  }
}
