import 'dart:developer';
import 'dart:io';

import 'package:flutter/material.dart';
import 'package:senior_design_system/senior_design_system.dart';

class ImageCropperExample extends StatefulWidget {
  const ImageCropperExample({Key? key}) : super(key: key);

  @override
  State<ImageCropperExample> createState() => _ImageCropperExampleState();
}

class _ImageCropperExampleState extends State<ImageCropperExample> {
  File? pickedImage;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        SeniorProfilePicture(
          radius: 40.0,
          name: 'Amanda Silva',
          imageProvider: pickedImage != null ? FileImage(pickedImage!) : null,
        ),
        const SizedBox(
          height: 10.0,
        ),
        SeniorButton(
            label: 'Trocar imagem',
            type: SeniorButtonType.ghost,
            onPressed: () {
              SeniorImageCropper(
                takePhotoLabel: 'Tirar uma foto',
                pickImageLabel: 'Foto da galeria',
                cropperTitle: 'Título do cropper',
                cropImageLabel: 'Salvar foto de perfil',
                cancelCropLabel: 'Cancelar',
                appBarStyle: AppBarStyle.colorfulHeader,
                onCroppImage: (croppedImage) {
                  log((croppedImage.lengthSync() / 1024 / 1024).toString());

                  setState(() {
                    pickedImage = croppedImage;
                  });
                },
                onPermissionCameraDenied: () {},
                onPermissionGalleryDenied: () {},
                maxSizeMb: 1,
              ).pickImage(context);
            }),
      ],
    );
  }
}
