import 'package:flutter/material.dart';

import 'package:senior_design_tokens/senior_design_tokens.dart';

import './senior_loading_style.dart';
import '../../themes/senior_theme_provider.dart';
import '../../themes/senior_theme.dart';

class SeniorLoading extends StatelessWidget {
  const SeniorLoading({
    Key? key,
    this.semanticsLabel,
    this.semanticsValue,
    this.style,
    this.value,
  }) : super(
    key: key,
  );

  final String? semanticsLabel;
  final String? semanticsValue;
  final SeniorLoadingStyle? style;
  final double? value;

  @override
  Widget build(BuildContext context) {
    final SeniorTheme? theme = SeniorThemeProvider.getTheme(context);
    final SeniorTheme defaultTheme = SeniorThemeProvider.getDefaultTheme(context);

    return CircularProgressIndicator(
      color: style?.color ?? theme?.loadingTheme?.style?.color ?? defaultTheme.loadingTheme?.style?.color ?? SeniorColors.primaryColor,
      semanticsLabel: semanticsLabel,
      semanticsValue: semanticsValue,
      value: value,
    );
  }
}
