# SeniorActionButton class

Use SeniorActionButton para adicionar botões de ações com apenas ícones com as definições do Senior Design System no seu layout.

## Tipos de botões

Podem ser criados três tipos de action buttons, sendo eles:

* Small
* Medium
* Press

| Type   | Enum                          |
| ------ | ----------------------------- |
| Small  | SeniorActionButtonType.small  |
| Medium | SeniorActionButtonType.medium |
| Press  | SeniorActionButtonType.press  |

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__

## Construtores

* SeniorActionButton({
    Key? key,
    required IconData icon,
    required Function() onPressed,
    required SeniorActionButtonType type,
}) ... __const__

## Propriedades

| Property  | Type                   | Description                                                                           | Required | Default |
| --------- | ---------------------- | ------------------------------------------------------------------------------------- | -------- | ------- |
| key       | Key                    | Controla como um widget substitui outro widget na árvore.                             | Não      |         |
| icon      | IconData               | Ícone do action button.                                                               | Sim      |         |
| onPressed | Function()             | Função executada quando o action button for pressionado.                              | Sim      |         |
| type      | SeniorActionButtonType | Tipo do action button, podendo ser *small*, *medium*, *press*. Determina a aparência. | Sim      |         |