# SeniorElevatedElement class

Permitir adicionar elevações usando os padrões do Senior Design System.

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__

## Construtores

* SeniorElevatedElement({
    required SeniorElevations elevation,
    required double borderRadius,
    required Widget child,
}) ... __const__

## Propriedades

| Property     | Type             | Description                 | Required | Default |
| ------------ | ---------------- | --------------------------- | -------- | ------- |
| elevation    | SeniorElevations | Elevação do widget.         | Sim      |         |
| borderRadius | double           | Border radius do widget.    | Sim      |         |
| child        | Widget           | O próprio widget.           | Sim      |         |

## Código

```dart
SeniorElevatedElement(
    elevation: SeniorElevations.dp02,
    borderRadius: 0,
    child: Container(
        height: 100.0,
        width: 100.0,
        color: SeniorColors.manchesterColorRed300,
    ),
),
```