# SeniorPanelData class

Representa o conteúdo de um painel de um SeniorPanelExpansionList.

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__

## Construtores

* SeniorPanelData({
    required Widget headerInfo,
    Widget? expandedInfo,
    Color severityColor,
    bool isExpanded = false,
    List< SeniorButton >? actions,
})

## Propriedades

| Property      | Type                 | Description                                                                                                                      | Required | Default                |
| ------------- | -------------------- | -------------------------------------------------------------------------------------------------------------------------------- | -------- | ---------------------- |
| headerInfo    | Widget               | Informação apresentada no topo do painel. Apresentada quando o painel está fechado.                                              | Sim      |                        |
| expandedInfo  | Widget               | Informação do corpo do painel. Não apresentada quando o painel está fechado.                                                     | Não      |                        |
| severityColor | Color                | A cor de destaque do painel.                                                                                                     | Não      |                        |
| isExpanded    | bool                 | Determina se o painel estará expandido.                                                                                          | Não      | false                  |
| actions       | List< SeniorButton > | Lista de botões no corpo do painel.                                                                                              | Não      |                        |

## Código

```dart
SeniorPanelData(
    headerInfo: Text('Título'),
    expandedInfo: Text('Conteúdo'),
    actions: [
        SeniorButton(
            label: 'Salvar',
            type: SeniorButtonType.primary,
            size: SeniorButtonSize.small,
            onPressed: () {},
            disabled: false,
        ),
        SeniorButton(
            label: 'Editar',
            type: SeniorButtonType.secondary,
            size: SeniorButtonSize.small,
            onPressed: () {},
            disabled: false,
        ),
        SeniorButton(
            label: 'Cancelar',
            type: SeniorButtonType.ghost,
            size: SeniorButtonSize.small,
            onPressed: () {},
            disabled: false,
        ),
    ],
    isExpanded: false,
    severityColor: SeniorColors.manchesterColorRed,
)
```