# SeniorInfoCard class

Use SeniorInfoCard para adicionar um card que apresenta valor e descrição.

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__

## Construtores

* SeniorInfoCard({
    Key? key,
    required String label,
    required String value,
    required Color severityColor,
    FocusNode? focusNode,
    bool canRequestFocus = true,
    Function()? onTap,
    Function()? onDoubleTap,
    Function()? onLongPress,
    Function(bool)? onFocusChange,
}) ... __const__

## Propriedades

| Property        | Type            | Description                                                          | Required | Default |
| --------------- | --------------- | -------------------------------------------------------------------- | -------- | ------- |
| key             | Key             | Controla como um widget substitui outro widget na árvore.            | Não      |         |
| label           | String          | Texto de identificação do card.                                      | Sim      |         |
| value           | String          | Texto que representa o valor apresentado no card.                    | Sim      |         |
| severityColor   | Color           | Color de destaque do card.                                           | Sim      |         |
| focusNode       | FocusNode       | Um focus node opcional para usar como o focus node para este widget. | Não      |         |
| canRequestFocus | bool            | Determina se este widget pode solicitar o foco principal.            | Não      | true    |
| onTap           | Function()      | Função chamada quando o card for tocado.                             | Não      |         |
| onDoubleTap     | Function()      | Função chamada quando o card recebe um toque duplo.                  | Não      |         |
| onLongPress     | Function()      | Função chamada quando o card for pressionado longamente.             | Não      |         |
| onFocusChange   | Function(bool)  | Função chamada quando o foco muda.                                   | Não      |         |