# SeniorSwitch class

Use SeniorSwitch para adicionar widgets do tipo switch com as definições do Senior Design System no seu layout.

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__

## Construtores

* SeniorSwitch({
    Key? key,
    required String title,
    required bool value,
    required Function(bool?) onChanged,
    bool disabled = false,
}) ... __const__

## Propriedades

| Property  | Type            | Description                                                                                                  | Required | Default |
| --------- | --------------- | ------------------------------------------------------------------------------------------------------------ | -------- | ------- |
| key       | Key             | Controla como um widget substitui outro widget na árvore.                                                    | Não      |         |
| title     | String          | Título do switch. Texto apresentado.                                                                         | Sim      |         |
| value     | bool            | Determina se o switch estará marcado ou desmarcado.                                                          | Sim      |         |
| onChanged | Function(bool?) | Função callback que é executada quando o valor do switch é alterado. O parâmetro booleano tem o valor atual. | Sim      |         |
| disabled  | bool            | Determina se o switch estará desabilitado.                                                                   | Não      | false   |

## Código

```dart
SeniorSwitch(
    title: 'Lembrar deste dispositivo',
    value: remember,
    onChanged: (value) { 
        setState(() {
            remember = value!; 
        });
    },
    disabled: false,
),
```