import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import './senior_theme.dart';
import './senior_themes/senior_themes.dart';


class SeniorThemeProvider {
  static SeniorTheme? getTheme(BuildContext context) {
    SeniorTheme? theme = Provider.of<SeniorTheme?>(context);
    return theme;
  }

  static SeniorTheme getDefaultTheme(BuildContext context) {
    final Brightness brightness = MediaQuery.of(context).platformBrightness;
    return brightness == Brightness.dark ? seniorDarkTheme : seniorLightTheme;
  }
}