createS3BuildCache() {
    if [ -n "$SCI_DISABLE_S3_CACHE" ]; then
        echo "[CI] Cache em bucket S3 desabilitado nesta execução."
    else
        CACHE_FILE_NAME="BUILD_CACHE_$CI_PIPELINE_ID.tar.gz"

        if [ ! -f $CACHE_FILE_NAME ]; then
          CACHE_FILE_PATTERN=$1
          echo "[CI] Gerando cache da build da pasta $CACHE_FILE_PATTERN ... (Compressing $CACHE_FILE_PATTERN)"
          tar -zcf $CACHE_FILE_NAME $CACHE_FILE_PATTERN
        fi

        : "${CACHE_S3_ADDR:?Bucket S3 de cache nao configurado, alimente a variavel CACHE_S3_ADDR.}"

        echo "[CI] Enviando dados de cache para o bucket S3 $CACHE_S3_ADDR/$CACHE_FILE_NAME"
        aws s3 cp "$CACHE_FILE_NAME" "$CACHE_S3_ADDR"/"$CACHE_FILE_NAME"
    fi
}

getS3BuildCache() {
    if [ -n "$SCI_DISABLE_S3_CACHE" ]; then
        echo "[CI] Cache em bucket S3 desabilitado nesta execução."
    else
        echo "[CI] Realizando unpack do cache do build"

        CACHE_FILE_NAME="BUILD_CACHE_$CI_PIPELINE_ID.tar.gz"

        echo "[CI] Buscando o arquivo $CACHE_FILE_NAME no AWS S3"

        : "${CACHE_S3_ADDR:?Bucket S3 de cache nao configurado, alimente a variavel CACHE_S3_ADDR.}"

        totalFoundObjects=$(aws s3 ls "$CACHE_S3_ADDR"/"$CACHE_FILE_NAME" --recursive --summarize | grep "Total Objects: " | sed 's/[^0-9]*//g')

        if [ "$totalFoundObjects" -eq "0" ]; then
            echo "[CI] Build cache ($CACHE_S3_ADDR/$CACHE_FILE_NAME) não encontrado"
        else
            echo "[CI] Build cache encontrado. Carregando dados do bucket $CACHE_S3_ADDR/$CACHE_FILE_NAME"
            aws s3 cp "$CACHE_S3_ADDR"/"$CACHE_FILE_NAME" "$CACHE_FILE_NAME"

            if [ -f $CACHE_FILE_NAME ]; then
              echo "[CI] Carregando dados do cache de build do ci ... (Unpacking dist $CACHE_FILE_NAME)"
              tar -xf $CACHE_FILE_NAME
              HAS_CACHE="true"
            fi
        fi
    fi
}
