import sys

sys.path.append("./senior-ci")

from common import get_env_variable
from common.graphql_client import GraphqlClient


class CheckTags:
    def __init__(self, client_graphql: GraphqlClient = GraphqlClient()) -> None:
        self.client_graphql = client_graphql

    def check(self):
        """Check for tags on project"""

        query = """
            query ($projectId: Int!) {
                checkForTags(
                    projectId: $projectId
                ) {
                    success
                    reason
                }
            }
        """

        params = {
            "projectId": int(get_env_variable("CI_PROJECT_ID")),
        }

        result = self.client_graphql.call(query, params)

        output = CheckTagsOutput(result["checkForTags"])

        return output


class CheckTagsOutput:
    def __init__(self, result: dict) -> None:
        self.success = result["success"]
        self.reason = result["reason"]
