#!/bin/bash

set -e # Exit at first error

echo "[CI] buildando a imagem $SVC_IMAGE."
if [ -n "$TARGET" ]; then
    docker build --target $TARGET --network host -t seniorsa/$SVC_IMAGE .
else
    docker build --network host -t $HUB_USER/$SVC_IMAGE .
fi

CI_COMMIT_TAG="${CI_COMMIT_TAG//-/.}"
CI_COMMIT_TAG="${CI_COMMIT_TAG:1}"
VERSION="${CI_COMMIT_TAG:-$CI_COMMIT_REF_SLUG-SNAPSHOT}"

if [ -z "$SKIP_IMAGE_SCAN" ]; then
    trivy --clear-cache --severity HIGH,CRITICAL seniorsa/$SVC_IMAGE
fi
