import sys

sys.path.append("./senior-ci")

from common import exec_command, get_env_variable, get_version_from_gitlab

from common.extensions import Extensions
from common.helm_helpers import add_nexus_repo, get_version

add_nexus_repo()

chart_version = get_version()
service_version = get_version_from_gitlab()

nexus_username = get_env_variable("NEXUS_USERNAME")
nexus_password = get_env_variable("NEXUS_PASSWORD")
service_namespace = get_env_variable("NAMESPACE")
service_name = get_env_variable("SVC_IMAGE")

extensions = Extensions()

extensions.before_deploy()

exec_command("helm repo update")
exec_command(
    f"helm upgrade --install -n {service_namespace} {service_name} nexus-senior/{service_name} --version {chart_version} --set image.tag={service_version}"
)

extensions.after_deploy()
