#!/bin/bash

if [ "$EUID" -ne 0 ]
  then echo "Esse script deve ser executado como root! Tente novamente utilizando sudo."
  exit 1
fi

echo "[CI] Iniciando a configuração da execução remota do docker"
echo "[CI] Criando o diretório /etc/systemd/system/docker.service.d"
mkdir -p /etc/systemd/system/docker.service.d

echo "[CI] Realizando a criação do arquivo options.conf"
rm -f /etc/systemd/system/docker.service.d/options.conf
touch /etc/systemd/system/docker.service.d/options.conf

cat <<EOF > /etc/systemd/system/docker.service.d/options.conf
[Service]
ExecStart=
ExecStart=/usr/bin/dockerd -H unix:// -H tcp://0.0.0.0:2375
EOF
echo "[CI] Arquivo options.conf configurado com sucesso!"

echo "[CI] Reiniciando o systemctl..."
systemctl daemon-reload

echo "[CI] Reiniciando o docker..."
systemctl restart docker

echo "[CI] Host configurado com sucesso para receber deploys via Docker! Para mais informações consulte https://git.senior.com.br/engenharia/senior-ci/wikis/home"