from jira import JIRA

from common import get_env_variable


class JiraManager:
    def __init__(self):
        user = get_env_variable("JIRA_USER")
        password = get_env_variable("JIRA_PASSWORD")

        self.jira = JIRA("https://jira.senior.com.br", basic_auth=(user, password))

    def create_issue(self, fields):
        return self.jira.create_issue(fields)

    def create_link(self, link_type, inward_issue, outward_issue):
        remote_link = self.jira.create_issue_link(
            link_type, inward_issue, outward_issue
        )

        return remote_link.ok

    def get_issue(self, key):
        return self.jira.issue(key)
